summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Greg Tourte2020-06-13 11:22:18 +0200
committer Willy Sudiarto Raharjo2020-06-14 12:45:46 +0200
commited79201e0a16b453a37ff2e88743371ae1fc3496 (patch)
tree117e3cbbeb4ce01ddc178a50481f3f77db53626a
parentc328ceb26e42ac2ae255b79ff20fa923997d79fb (diff)
downloadslackbuilds-ed79201e0a16b453a37ff2e88743371ae1fc3496.tar.gz
academic/cdo: Added (Climate Data Operators)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/cdo/README7
-rw-r--r--academic/cdo/cdo.SlackBuild112
-rw-r--r--academic/cdo/cdo.info10
-rw-r--r--academic/cdo/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/academic/cdo/README b/academic/cdo/README
new file mode 100644
index 0000000000..a808053d38
--- /dev/null
+++ b/academic/cdo/README
@@ -0,0 +1,7 @@
+CDO (Climate Data Operators)
+
+CDO is a collection of command line Operators to manipulate and analyse
+Climate and NWP model Data.
+
+Supported data formats are GRIB 1/2, netCDF 3/4, SERVICE, EXTRA and IEG. There
+are more than 600 operators available.
diff --git a/academic/cdo/cdo.SlackBuild b/academic/cdo/cdo.SlackBuild
new file mode 100644
index 0000000000..cf0cfa0a04
--- /dev/null
+++ b/academic/cdo/cdo.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for cdo
+
+# Copyright 2020 Gregory J. L. Tourte <artourter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cdo
+VERSION=${VERSION:-1.9.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# static.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-szlib=yes \
+ --with-netcdf=yes \
+ --with-hdf5=yes \
+ --with-udunits2 \
+ --with-threads=yes \
+ --disable-static \
+ --with-fftw3 \
+ --with-proj \
+ --with-curl \
+ --with-libxml2 \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS OPERATORS README \
+ doc/*.pdf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/cdo/cdo.info b/academic/cdo/cdo.info
new file mode 100644
index 0000000000..ca3df5ca07
--- /dev/null
+++ b/academic/cdo/cdo.info
@@ -0,0 +1,10 @@
+PRGNAM="cdo"
+VERSION="1.9.8"
+HOMEPAGE="https://code.mpimet.mpg.de/projects/cdo"
+DOWNLOAD="https://code.mpimet.mpg.de/attachments/download/20826/cdo-1.9.8.tar.gz"
+MD5SUM="2a8d8f521b13ff957e9682bae4d4fa9a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="proj udunits netcdf"
+MAINTAINER="Greg Tourte"
+EMAIL="artourter@gmail.com"
diff --git a/academic/cdo/slack-desc b/academic/cdo/slack-desc
new file mode 100644
index 0000000000..a46e900e01
--- /dev/null
+++ b/academic/cdo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cdo: CDO (Climate Data Operators)
+cdo:
+cdo: CDO is a collection of command line Operators to manipulate and
+cdo: analyse Climate and NWP model Data.
+cdo:
+cdo: Supported data formats are GRIB 1/2, netCDF 3/4, SERVICE, EXTRA and
+cdo: IEG. There are more than 600 operators available.
+cdo:
+cdo:
+cdo:
+cdo: